﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Kundeweb.master" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">
   
    protected void Button1_Click(object sender, EventArgs e)
    {
        string strSQL = null;
        string melding = "";

        try
        {
                   
            SqlConnection objConnect = new SqlConnection(ConfigurationManager.ConnectionStrings["KundeConnectionString"].ConnectionString);
            objConnect.Open();
            strSQL = "EndreSaldoForKunde @Kundenr=" + DropDownList1.SelectedValue + ", @Endring= " + TextBox1.Text;

            SqlCommand objCommand = new SqlCommand(strSQL, objConnect);
            objCommand.ExecuteNonQuery();
            objConnect.Close();
            objCommand = null;

        }
        catch (Exception objError)
        {
            melding = objError.Message;
            lblFeil.Text = melding;

        }
        finally
        {
            if (melding.Length  == 0)
            {
                //For å vise den oppdaterte verdien hentes siden inn på nytt
                Response.Redirect("Saldo.aspx");
            }
        }
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:KundeConnectionString %>" 
        SelectCommand="SELECT [Kundenr], [Etternavn] + ' ' + [Fornavn] + '  ' + str([Saldo]) As Navnet FROM [Kunde]">
    </asp:SqlDataSource>
&nbsp;<br />
    <table style="width: 500px">
        <tr>
            <td>
                Velg kunde du vil endre:
            </td>
            <td>
                <asp:DropDownList ID="DropDownList1" runat="server" 
                    DataSourceID="SqlDataSource1" DataTextField="Navnet" DataValueField="Kundenr">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td style="height: 49px">
                Oppgi en prosentvis endring av saldo:</td>
            <td style="height: 49px">
                <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="height: 63px">
                
            </td>
            <td style="height: 63px">
                <asp:Button ID="Button1" runat="server" onclick="Button1_Click" 
                    Text="Utfør endring" />
            </td>
        </tr>
    </table>
    <asp:Label ID="lblFeil" runat="server" ForeColor="#FF3300"></asp:Label>
</asp:Content>

