﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Smaajobbsentralen.master" AutoEventWireup="true" CodeFile="NyArbeidsgiver.aspx.cs" Inherits="NyArbeidsgiver" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cntInnhold" Runat="Server">
<h1>Ny arbeidsgiver</h1>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:JobbsentralConnectionString %>" 
        DeleteCommand="DELETE FROM [Arbeidsgiver] WHERE [ArbeidsgiverID] = @ArbeidsgiverID" 
        InsertCommand="INSERT INTO [Arbeidsgiver] ([Navn], [Adresse], [Postnr], [Sted], [Telefon], [Email], [RegistrertDato]) VALUES (@Navn, @Adresse, @Postnr, @Sted, @Telefon, @Email, @RegistrertDato)" 
        SelectCommand="SELECT * FROM [Arbeidsgiver]" 
        UpdateCommand="UPDATE [Arbeidsgiver] SET [Navn] = @Navn, [Adresse] = @Adresse, [Postnr] = @Postnr, [Sted] = @Sted, [Telefon] = @Telefon, [Email] = @Email, [RegistrertDato] = @RegistrertDato WHERE [ArbeidsgiverID] = @ArbeidsgiverID">
        <DeleteParameters>
            <asp:Parameter Name="ArbeidsgiverID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="Navn" Type="String" />
            <asp:Parameter Name="Adresse" Type="String" />
            <asp:Parameter Name="Postnr" Type="String" />
            <asp:Parameter Name="Sted" Type="String" />
            <asp:Parameter Name="Telefon" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="RegistrertDato" Type="DateTime" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Navn" Type="String" />
            <asp:Parameter Name="Adresse" Type="String" />
            <asp:Parameter Name="Postnr" Type="String" />
            <asp:Parameter Name="Sted" Type="String" />
            <asp:Parameter Name="Telefon" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="RegistrertDato" Type="DateTime" />
            <asp:Parameter Name="ArbeidsgiverID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
    <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
        DataKeyNames="ArbeidsgiverID" DataSourceID="SqlDataSource1" 
        DefaultMode="Insert" Height="50px" Width="307px">
        <Fields>
            <asp:BoundField DataField="ArbeidsgiverID" HeaderText="ArbeidsgiverID" 
                InsertVisible="False" ReadOnly="True" SortExpression="ArbeidsgiverID" />
            <asp:BoundField DataField="Navn" HeaderText="Navn" SortExpression="Navn" />
            <asp:BoundField DataField="Adresse" HeaderText="Adresse" 
                SortExpression="Adresse" />
            <asp:BoundField DataField="Postnr" HeaderText="Postnr" 
                SortExpression="Postnr" />
            <asp:BoundField DataField="Sted" HeaderText="Sted" SortExpression="Sted" />
            <asp:BoundField DataField="Telefon" HeaderText="Telefon" 
                SortExpression="Telefon" />
            <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
            <asp:BoundField DataField="RegistrertDato" HeaderText="RegistrertDato" 
                SortExpression="RegistrertDato" />
            <asp:CommandField ShowInsertButton="True" />
        </Fields>
    </asp:DetailsView>
    <p><a href="ArbeidsgivereMedArbeidsoppgaver.aspx">Tilbake</a></p>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cntSidebanner" Runat="Server">
</asp:Content>

