﻿<%@ Page Title="" Language="C#" MasterPageFile="~/master.master" AutoEventWireup="true"%>

<asp:Content ID="Content1" ContentPlaceHolderID="content" Runat="Server">
    <form id="form1" runat="server">
    <h2>
        Nye værdata</h2>
    <p>
        Skriv inn værdataene for dagens vær:<asp:SqlDataSource ID="SqlDataSource1" 
            runat="server" 
            ConnectionString="<%$ ConnectionStrings:VerdataConnectionString %>" 
            DeleteCommand="DELETE FROM [Dagsver] WHERE [Dato] = @Dato" 
            InsertCommand="INSERT INTO [Dagsver] ([Dato], [Nedbor], [Grader], [VertypeID]) VALUES (@Dato, @Nedbor, @Grader, @VertypeID)" 
            SelectCommand="SELECT * FROM [Dagsver]" 
            UpdateCommand="UPDATE [Dagsver] SET [Nedbor] = @Nedbor, [Grader] = @Grader, [VertypeID] = @VertypeID WHERE [Dato] = @Dato">
            <DeleteParameters>
                <asp:Parameter Name="Dato" Type="DateTime" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Nedbor" Type="Single" />
                <asp:Parameter Name="Grader" Type="Single" />
                <asp:Parameter Name="Vertype" Type="Byte" />
                <asp:Parameter Name="Dato" Type="DateTime" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="Dato" Type="DateTime"  />
                <asp:Parameter Name="Nedbor" Type="Single" />
                <asp:Parameter Name="Grader" Type="Single" />
                <asp:Parameter Name="VertypeID" Type="Byte" />
            </InsertParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
            ConnectionString="<%$ ConnectionStrings:VerdataConnectionString %>" 
            SelectCommand="SELECT * FROM [Vertype]"></asp:SqlDataSource>
       
        <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
            DataKeyNames="Dato" DataSourceID="SqlDataSource1" DefaultMode="Insert" 
            Height="50px" Width="468px">
            <Fields>
                <asp:TemplateField HeaderText="Dato" SortExpression="Dato">
                    <EditItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Eval("Dato") %>'></asp:Label>
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <asp:TextBox ID="txtDato"  runat="server" Text='<%# Bind("Dato") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="txtDato" ErrorMessage="Oppgi dato" SetFocusOnError="True"></asp:RequiredFieldValidator>
                    </InsertItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("Dato") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Nedbor" HeaderText="Nedbør" 
                    SortExpression="Nedbor" />
                <asp:BoundField DataField="Grader" HeaderText="Grader" 
                    SortExpression="Grader" />
                <asp:TemplateField HeaderText="Værtype" SortExpression="Vertype">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("VertypeID") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <asp:DropDownList ID="DropDownList1" runat="server" 
                            DataSourceID="SqlDataSource2" DataTextField="Ver" DataValueField="VertypeID" Text='<%# Bind("VertypeID") %>'>
                        </asp:DropDownList>
                    </InsertItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("VertypeID") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ShowInsertButton="True" />
            </Fields>
        </asp:DetailsView>
    </p>
    
    
    &nbsp;&nbsp;
    <asp:Label ID="lblFeilmelding" runat="server" ForeColor="Red"></asp:Label>
   
    </form>
</asp:Content>

