﻿<%@ Page Title="" Language="C#" MasterPageFile="~/master.master" %>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            GridView1.Sort("Dato", System.Web.UI.WebControls.SortDirection.Descending);
        }
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="content" Runat="Server">
	<form id="form1" runat="server">
<h2>Værdata</h2>
<p>I barnehagen har vi i år et prosjekt som omhandler vær. Vi kontrollerer hver dag 
    hva slaks vær det er, og hvor mye det eventuelt har regnet siste døgn.</p>
<p>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:VerdataConnectionString %>" 
        SelectCommand="SELECT [Dato], [Nedbor], [Grader], [Ver], [Bildenavn] FROM [DagsverView]">
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
        AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="Dato" 
        DataSourceID="SqlDataSource1" BackColor="White" BorderColor="#CC9966" 
        BorderStyle="None" BorderWidth="1px" CellPadding="4" Width="437px">
        <RowStyle BackColor="White" ForeColor="#330099" />
        <Columns>
            <asp:BoundField DataField="Dato" DataFormatString="{0:dd.MM.yyyy} " 
                HeaderText="Dato" HtmlEncode="False" ReadOnly="True" SortExpression="Dato" />
            <asp:BoundField DataField="Nedbor" HeaderText="Nedbør" 
                SortExpression="Nedbor" />
            <asp:BoundField DataField="Grader" HeaderText="Grader" 
                SortExpression="Grader" />
            <asp:BoundField DataField="Ver" HeaderText="Vær" SortExpression="Ver" />
            <asp:TemplateField >
               
                <ItemTemplate>
                   
                    <asp:image runat="server" imageurl='<% # Bind("Bildenavn", "{0}") %>' 
                     AlternateText="Bilde mangler"  id="Image1">
       	</asp:image>

                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
        <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="#FFFFCC" />
    </asp:GridView>
</p>
<p>&nbsp;</p>
<p><a href="NyVerdag.aspx">Tilføy værdata</a></p>
</form>
</asp:Content>

