﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Smaajobbsentralen.master" AutoEventWireup="true" CodeFile="ArbeidsgivereMedArbeidsoppgaver.aspx.cs" Inherits="ArbeidsgivereMedArbeidsoppgaver" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cntInnhold" Runat="Server">
    <h1>Arbeidsgivere med arbeidsoppgaver</h1>
    <h2>Arbeidsgivere</h2>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:JobbsentralConnectionString %>" 
        DeleteCommand="DELETE FROM [Arbeidsgiver] WHERE [ArbeidsgiverID] = @ArbeidsgiverID" 
        InsertCommand="INSERT INTO [Arbeidsgiver] ([Navn], [Adresse], [Postnr], [Sted], [Telefon], [Email], [RegistrertDato]) VALUES (@Navn, @Adresse, @Postnr, @Sted, @Telefon, @Email, @RegistrertDato)" 
        SelectCommand="SELECT * FROM [Arbeidsgiver]" 
        UpdateCommand="UPDATE [Arbeidsgiver] SET [Navn] = @Navn, [Adresse] = @Adresse, [Postnr] = @Postnr, [Sted] = @Sted, [Telefon] = @Telefon, [Email] = @Email, [RegistrertDato] = @RegistrertDato WHERE [ArbeidsgiverID] = @ArbeidsgiverID">
        <DeleteParameters>
            <asp:Parameter Name="ArbeidsgiverID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="Navn" Type="String" />
            <asp:Parameter Name="Adresse" Type="String" />
            <asp:Parameter Name="Postnr" Type="String" />
            <asp:Parameter Name="Sted" Type="String" />
            <asp:Parameter Name="Telefon" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="RegistrertDato" Type="DateTime" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Navn" Type="String" />
            <asp:Parameter Name="Adresse" Type="String" />
            <asp:Parameter Name="Postnr" Type="String" />
            <asp:Parameter Name="Sted" Type="String" />
            <asp:Parameter Name="Telefon" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="RegistrertDato" Type="DateTime" />
            <asp:Parameter Name="ArbeidsgiverID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
        AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="ArbeidsgiverID" 
        DataSourceID="SqlDataSource1" 
        onselectedindexchanged="GridView1_SelectedIndexChanged">
        <Columns>
            <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
                ShowSelectButton="True" />
            <asp:BoundField DataField="ArbeidsgiverID" HeaderText="ArbeidsgiverID" 
                InsertVisible="False" ReadOnly="True" SortExpression="ArbeidsgiverID" />
            <asp:BoundField DataField="Navn" HeaderText="Navn" SortExpression="Navn" />
            <asp:BoundField DataField="Adresse" HeaderText="Adresse" 
                SortExpression="Adresse" />
            <asp:BoundField DataField="Postnr" HeaderText="Postnr" 
                SortExpression="Postnr" />
            <asp:BoundField DataField="Sted" HeaderText="Sted" SortExpression="Sted" />
            <asp:BoundField DataField="Telefon" HeaderText="Telefon" 
                SortExpression="Telefon" />
            <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
            <asp:BoundField DataField="RegistrertDato" HeaderText="RegistrertDato" 
                SortExpression="RegistrertDato" />
        </Columns>
    </asp:GridView>
    <asp:HyperLink ID="HyperLink1" runat="server" 
        NavigateUrl="~/NyArbeidsgiver.aspx">Ny arbeidsgiver</asp:HyperLink>
    <h2>Arbeidsoppgaver</h2>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:JobbsentralConnectionString %>" 
        DeleteCommand="DELETE FROM [Arbeidsoppgave] WHERE [ArbeidsoppgaveID] = @ArbeidsoppgaveID" 
        InsertCommand="INSERT INTO [Arbeidsoppgave] ([OppdragsDato], [Arbeidsbeskrivelse], [ØnskedeKvalifikasjoner], [Utført], [ArbeidsgiverID]) VALUES (@OppdragsDato, @Arbeidsbeskrivelse, @ØnskedeKvalifikasjoner, @Utført, @ArbeidsgiverID)" 
        SelectCommand="SELECT * FROM [Arbeidsoppgave] WHERE ([ArbeidsgiverID] = @ArbeidsgiverID)" 
        UpdateCommand="UPDATE [Arbeidsoppgave] SET [OppdragsDato] = @OppdragsDato, [Arbeidsbeskrivelse] = @Arbeidsbeskrivelse, [ØnskedeKvalifikasjoner] = @ØnskedeKvalifikasjoner, [Utført] = @Utført, [ArbeidsgiverID] = @ArbeidsgiverID WHERE [ArbeidsoppgaveID] = @ArbeidsoppgaveID">
        <DeleteParameters>
            <asp:Parameter Name="ArbeidsoppgaveID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="OppdragsDato" Type="DateTime" />
            <asp:Parameter Name="Arbeidsbeskrivelse" Type="String" />
            <asp:Parameter Name="ØnskedeKvalifikasjoner" Type="String" />
            <asp:Parameter Name="Utført" Type="Boolean" />
            <asp:Parameter Name="ArbeidsgiverID" Type="Int32" />
        </InsertParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="GridView1" Name="ArbeidsgiverID" 
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="OppdragsDato" Type="DateTime" />
            <asp:Parameter Name="Arbeidsbeskrivelse" Type="String" />
            <asp:Parameter Name="ØnskedeKvalifikasjoner" Type="String" />
            <asp:Parameter Name="Utført" Type="Boolean" />
            <asp:Parameter Name="ArbeidsgiverID" Type="Int32" />
            <asp:Parameter Name="ArbeidsoppgaveID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:GridView ID="GridView2" runat="server" AllowPaging="True" 
        AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="ArbeidsoppgaveID" 
        DataSourceID="SqlDataSource2">
        <Columns>
            <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
            <asp:BoundField DataField="ArbeidsoppgaveID" HeaderText="ArbeidsoppgaveID" 
                InsertVisible="False" ReadOnly="True" SortExpression="ArbeidsoppgaveID" />
            <asp:BoundField DataField="OppdragsDato" HeaderText="OppdragsDato" 
                SortExpression="OppdragsDato" />
            <asp:BoundField DataField="Arbeidsbeskrivelse" HeaderText="Arbeidsbeskrivelse" 
                SortExpression="Arbeidsbeskrivelse" />
            <asp:BoundField DataField="ØnskedeKvalifikasjoner" 
                HeaderText="ØnskedeKvalifikasjoner" SortExpression="ØnskedeKvalifikasjoner" />
            <asp:CheckBoxField DataField="Utført" HeaderText="Utført" 
                SortExpression="Utført" />
            <asp:BoundField DataField="ArbeidsgiverID" HeaderText="ArbeidsgiverID" 
                SortExpression="ArbeidsgiverID" />
        </Columns>
    </asp:GridView>
    <asp:HyperLink ID="hyperNyOppgave" runat="server">[hyperNyOppgave]</asp:HyperLink>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cntSidebanner" Runat="Server">
</asp:Content>

