﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Smaajobbsentralen.master" AutoEventWireup="true" CodeFile="Beskrivelse.aspx.cs" Inherits="Beskrivelse" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cntInnhold" Runat="Server">
    <h1>
        Beskrivelse av arbeidssøkerne</h1>
    <p>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:JobbsentralConnectionString %>" 
            SelectCommand="SELECT * FROM [Arbeidstaker]"></asp:SqlDataSource>
        <asp:DetailsView ID="DetailsView1" runat="server" AllowPaging="True" 
            AutoGenerateRows="False" DataKeyNames="ArbeidstakerID" 
            DataSourceID="SqlDataSource1" Height="50px" Width="400px">
            <Fields>
                <asp:BoundField DataField="ArbeidstakerID" HeaderText="ArbeidstakerID" 
                    InsertVisible="False" ReadOnly="True" SortExpression="ArbeidstakerID" />
                <asp:BoundField DataField="Fødselsnummer" HeaderText="Fødselsnummer" 
                    SortExpression="Fødselsnummer" />
                <asp:BoundField DataField="Navn" HeaderText="Navn" SortExpression="Navn" />
                <asp:BoundField DataField="Adresse" HeaderText="Adresse" 
                    SortExpression="Adresse" />
                <asp:BoundField DataField="Postnr" HeaderText="Postnr" 
                    SortExpression="Postnr" />
                <asp:BoundField DataField="Sted" HeaderText="Sted" SortExpression="Sted" />
                <asp:BoundField DataField="Telefon" HeaderText="Telefon" 
                    SortExpression="Telefon" />
                <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
                <asp:TemplateField HeaderText="Bilde" SortExpression="Bildenavn">
                   
                    <ItemTemplate>
                        <asp:Image ID="Image1" runat="server"  ImageUrl='<%# Bind("Bildenavn","Bilder/{0}") %>' AlternateText="Bilde mangler" Width="200px"/>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CheckBoxField DataField="Hagearbeid" HeaderText="Hagearbeid" 
                    SortExpression="Hagearbeid" />
                <asp:CheckBoxField DataField="Butikkarbeid" HeaderText="Butikkarbeid" 
                    SortExpression="Butikkarbeid" />
                <asp:CheckBoxField DataField="Malearbeid" HeaderText="Malearbeid" 
                    SortExpression="Malearbeid" />
                <asp:CheckBoxField DataField="Husarbeid" HeaderText="Husarbeid" 
                    SortExpression="Husarbeid" />
                <asp:CheckBoxField DataField="Rengjøring" HeaderText="Rengjøring" 
                    SortExpression="Rengjøring" />
                <asp:CheckBoxField DataField="Gårdsarbeid" HeaderText="Gårdsarbeid" 
                    SortExpression="Gårdsarbeid" />
                <asp:CheckBoxField DataField="Dyrepass" HeaderText="Dyrepass" 
                    SortExpression="Dyrepass" />
                <asp:CheckBoxField DataField="Småreperasjoner" HeaderText="Småreperasjoner" 
                    SortExpression="Småreperasjoner" />
                <asp:CheckBoxField DataField="Snømåking" HeaderText="Snømåking" 
                    SortExpression="Snømåking" />
                <asp:CheckBoxField DataField="PChjelp" HeaderText="PChjelp" 
                    SortExpression="PChjelp" />
                <asp:CheckBoxField DataField="Rydding" HeaderText="Rydding" 
                    SortExpression="Rydding" />
                <asp:CheckBoxField DataField="Barnevakt" HeaderText="Barnevakt" 
                    SortExpression="Barnevakt" />
                <asp:CheckBoxField DataField="Vedlikehold" HeaderText="Vedlikehold" 
                    SortExpression="Vedlikehold" />
                <asp:CheckBoxField DataField="Bilpeie" HeaderText="Bilpeie" 
                    SortExpression="Bilpeie" />
                <asp:CheckBoxField DataField="Omsying" HeaderText="Omsying" 
                    SortExpression="Omsying" />
                <asp:BoundField DataField="Utdannelse" HeaderText="Utdannelse" 
                    SortExpression="Utdannelse" />
                <asp:BoundField DataField="Erfaring" HeaderText="Erfaring" 
                    SortExpression="Erfaring" />
                <asp:BoundField DataField="Annet" HeaderText="Annet" SortExpression="Annet" />
                <asp:HyperLinkField DataNavigateUrlFields="ArbeidstakerID" 
                    DataNavigateUrlFormatString="UtforteOppdrag.aspx?ArbeidstakerID={0}" 
                    HeaderText="Utførte oppdrag" Text="Oversiktsside" />
            </Fields>
        </asp:DetailsView>
    </p>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cntSidebanner" Runat="Server">
</asp:Content>

