﻿<%@ Page language="C#" masterpagefile="Smaajobbsentralen.master" title="StartsidenArbeidssøkereArbeidsgi" %>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        SqlDataSource1.InsertCommand = "INSERT INTO [Arbeidsoppgave] ([OppdragsDato], [Arbeidsbeskrivelse], [ØnskedeKvalifikasjoner], [ArbeidsgiverID]) VALUES (@OppdragsDato, @Arbeidsbeskrivelse, @ØnskedeKvalifikasjoner, " + Request.QueryString ["ArbeidsgiverID"] +")";
        
        if (!IsPostBack)
        {
            bool lovlig;
            if (Session["LovligBruker"] == null)
                lovlig = false;
            else
                lovlig = (bool)Session["LovligBruker"];
            if (!lovlig)
                Response.Redirect("Login.aspx");
        }
    }
</script>

<asp:Content id="Content1" runat="server" contentplaceholderid="innhold">

				<h1>Ny arbeidsopgave
                </h1>
				<asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:JobbsentralConnectionString1 %>" 
                    DeleteCommand="DELETE FROM [Arbeidsoppgave] WHERE [ArbeidsoppgaveID] = @ArbeidsoppgaveID" 
                    InsertCommand="INSERT INTO [Arbeidsoppgave] ([OppdragsDato], [Arbeidsbeskrivelse], [ØnskedeKvalifikasjoner]) VALUES (@OppdragsDato, @Arbeidsbeskrivelse, @ØnskedeKvalifikasjoner)" 
                    SelectCommand="SELECT [ArbeidsoppgaveID], [OppdragsDato], [Arbeidsbeskrivelse], [ØnskedeKvalifikasjoner] FROM [Arbeidsoppgave]" 
                    UpdateCommand="UPDATE [Arbeidsoppgave] SET [OppdragsDato] = @OppdragsDato, [Arbeidsbeskrivelse] = @Arbeidsbeskrivelse, [ØnskedeKvalifikasjoner] = @ØnskedeKvalifikasjoner WHERE [ArbeidsoppgaveID] = @ArbeidsoppgaveID">
                    <DeleteParameters>
                        <asp:Parameter Name="ArbeidsoppgaveID" Type="Int32" />
                    </DeleteParameters>
                    <InsertParameters>
                        <asp:Parameter Name="OppdragsDato" Type="DateTime" />
                        <asp:Parameter Name="Arbeidsbeskrivelse" Type="String" />
                        <asp:Parameter Name="ØnskedeKvalifikasjoner" Type="String" />
                    </InsertParameters>
                    <UpdateParameters>
                        <asp:Parameter Name="OppdragsDato" Type="DateTime" />
                        <asp:Parameter Name="Arbeidsbeskrivelse" Type="String" />
                        <asp:Parameter Name="ØnskedeKvalifikasjoner" Type="String" />
                        <asp:Parameter Name="ArbeidsoppgaveID" Type="Int32" />
                    </UpdateParameters>
                    </asp:SqlDataSource>
				<asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
                    DataKeyNames="ArbeidsoppgaveID" DataSourceID="SqlDataSource1" 
                    DefaultMode="Insert" Height="50px" Width="125px">
                    <Fields>
                        <asp:BoundField DataField="ArbeidsoppgaveID" HeaderText="ArbeidsoppgaveID" 
                            InsertVisible="False" ReadOnly="True" SortExpression="ArbeidsoppgaveID" />
                        <asp:BoundField DataField="OppdragsDato" HeaderText="OppdragsDato" 
                            SortExpression="OppdragsDato" />
                        <asp:BoundField DataField="Arbeidsbeskrivelse" HeaderText="Arbeidsbeskrivelse" 
                            SortExpression="Arbeidsbeskrivelse" />
                        <asp:BoundField DataField="ØnskedeKvalifikasjoner" 
                            HeaderText="ØnskedeKvalifikasjoner" SortExpression="ØnskedeKvalifikasjoner" />
                        <asp:CommandField ShowInsertButton="True" />
                    </Fields>
                </asp:DetailsView>
				<p><a href="ArbeidsgivereMedArbeidsoppgaver.aspx">Tilbake</a></p>
			
</asp:Content>
<asp:Content id="Content2" runat="server" contentplaceholderid="Sidebanner">

				<p>&nbsp;</p>
			
</asp:Content>
